Skip to main content
`Ctrl`+`K`

# MATCOLORINGJP

Parallel Jones-Plassmann coloring [JP93]

## Options Database Key

- -mat_coloring_jp_local - perform a local coloring before applying the parallel algorithm

## Notes

This method uses a parallel Luby-style coloring with weights to choose an independent set of processor boundary vertices at each stage that may be assigned colors independently.

Supports both distance one and distance two colorings.

## References

[JP93]

Mark T. Jones and Paul E. Plassmann. A parallel graph coloring heuristic. SIAM J. Sci. Comput., 14(3):654–669, 1993.

## See Also

`MatColoring`, `MatColoringType`, `MatColoringCreate()`, `MatColoring`, `MatColoringSetType()`

## Level

beginner

## Location

src/mat/graphops/color/impls/jp/jp.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages